curl
curl https://api.paybridgenp.com/v1/billing/plans/bpl_01j9x2k3m4n5p6q7r8s9t0u1v2 \
-H "Authorization: Bearer sk_test_your_key"import requests
url = "https://api.paybridgenp.com/v1/billing/plans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paybridgenp.com/v1/billing/plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "bpl_01j9x2k3m4n5p6q7r8s9t0u1v2",
"object": "plan",
"name": "Pro Monthly",
"description": "<string>",
"amount": 99900,
"currency": "NPR",
"interval_unit": "day",
"interval_count": 1,
"grace_period_days": 3,
"trial_days": 14,
"default_provider": "esewa",
"active": true,
"billing_scheme": "per_unit",
"aggregation_method": "sum",
"dunning_settings": {
"reminder_days_before_due": 123,
"overdue_reminder_interval_days": 123,
"overdue_action": "keep_active"
},
"metadata": {},
"livemode": true
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Plans
Get a billing plan
Retrieves a single billing plan by ID.
GET
/
v1
/
billing
/
plans
/
{id}
curl
curl https://api.paybridgenp.com/v1/billing/plans/bpl_01j9x2k3m4n5p6q7r8s9t0u1v2 \
-H "Authorization: Bearer sk_test_your_key"import requests
url = "https://api.paybridgenp.com/v1/billing/plans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paybridgenp.com/v1/billing/plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "bpl_01j9x2k3m4n5p6q7r8s9t0u1v2",
"object": "plan",
"name": "Pro Monthly",
"description": "<string>",
"amount": 99900,
"currency": "NPR",
"interval_unit": "day",
"interval_count": 1,
"grace_period_days": 3,
"trial_days": 14,
"default_provider": "esewa",
"active": true,
"billing_scheme": "per_unit",
"aggregation_method": "sum",
"dunning_settings": {
"reminder_days_before_due": 123,
"overdue_reminder_interval_days": 123,
"overdue_action": "keep_active"
},
"metadata": {},
"livemode": true
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Authorizations
Your PayBridgeNP API key. Obtain one from the dashboard under Settings → API Keys. Prefix: sk_test_ for testing, sk_live_ for production.
Path Parameters
Response
Plan object.
Example:
"bpl_01j9x2k3m4n5p6q7r8s9t0u1v2"
Available options:
plan Example:
"Pro Monthly"
Recurring amount in paisa.
Example:
99900
Example:
"NPR"
Available options:
day, week, month, quarter, year Example:
1
Example:
3
Example:
14
Available options:
esewa, khalti, fonepay metered plans bill on reported usage.
Available options:
per_unit, metered Usage aggregation for metered plans.
Available options:
sum, max, last_ever, null Show child attributes
Show child attributes
true when created with a live key, false for sandbox.
Was this page helpful?